---
http_interactions:
- request:
    method: get
    uri: https://api.github.com/repos/maybe-finance/maybe/releases
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - application/vnd.github.v3+json
      User-Agent:
      - Octokit Ruby Gem 9.2.0
      Content-Type:
      - application/json
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Wed, 19 Mar 2025 12:40:58 GMT
      Content-Type:
      - application/json; charset=utf-8
      Cache-Control:
      - public, max-age=60, s-maxage=60
      Vary:
      - Accept,Accept-Encoding, Accept, X-Requested-With
      Etag:
      - W/"cc42fb8190e3219e91e46d75f709c8b5762a1e8bf472008a702a4adf1e7dfb95"
      X-Github-Media-Type:
      - github.v3; format=json
      X-Github-Api-Version-Selected:
      - '2022-11-28'
      Access-Control-Expose-Headers:
      - ETag, Link, Location, Retry-After, X-GitHub-OTP, X-RateLimit-Limit, X-RateLimit-Remaining,
        X-RateLimit-Used, X-RateLimit-Resource, X-RateLimit-Reset, X-OAuth-Scopes,
        X-Accepted-OAuth-Scopes, X-Poll-Interval, X-GitHub-Media-Type, X-GitHub-SSO,
        X-GitHub-Request-Id, Deprecation, Sunset
      Access-Control-Allow-Origin:
      - "*"
      Strict-Transport-Security:
      - max-age=31536000; includeSubdomains; preload
      X-Frame-Options:
      - deny
      X-Content-Type-Options:
      - nosniff
      X-Xss-Protection:
      - '0'
      Referrer-Policy:
      - origin-when-cross-origin, strict-origin-when-cross-origin
      Content-Security-Policy:
      - default-src 'none'
      Server:
      - github.com
      Accept-Ranges:
      - bytes
      X-Ratelimit-Limit:
      - '60'
      X-Ratelimit-Remaining:
      - '59'
      X-Ratelimit-Reset:
      - '1742391658'
      X-Ratelimit-Resource:
      - core
      X-Ratelimit-Used:
      - '1'
      Transfer-Encoding:
      - chunked
      X-Github-Request-Id:
      - DDED:38A4A1:15FB4B:2C2CC0:67DABB5A
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        [encoded data, 139480 characters]
  recorded_at: Wed, 19 Mar 2025 12:40:58 GMT
- request:
    method: post
    uri: https://api.github.com/markdown
    body:
      encoding: UTF-8
      string: '{"mode":"gfm","context":"maybe-finance/maybe","text":"## Data resets,
        offline investment trades, and miscellaneous stability improvements\r\n\r\nThis
        release comes with a wide mix of stability improvements and quality of life
        updates; particularly for self hosted apps, which can now be \"reset\" in
        user settings.  If your data looks wrong or you want a \"clean slate\" to
        work from, we''ve added the ability for you to easily perform these resets
        without writing SQL or manually deleting records.\r\n\r\nThis release also
        comes with a much clearer UI surrounding the Synth data provider.  New self
        hosted users will now see a prominent warning message if they have missing
        data as a result of a misconfigured or absent data provider.\r\n\r\n## What''s
        Changed\r\n* Add new category flow by @syedbarimanjan in https://github.com/maybe-finance/maybe/pull/1857\r\n*
        Fix parent category sums in budget by @zachgoll in https://github.com/maybe-finance/maybe/pull/1894\r\n*
        Add breadcrumbs support across application by @Shpigford in https://github.com/maybe-finance/maybe/pull/1897\r\n*
        Dashboard design fixes by @zachgoll in https://github.com/maybe-finance/maybe/pull/1898\r\n*
        Allow account balance to dynamically use currency format on preference page
        by @Harry-kp in https://github.com/maybe-finance/maybe/pull/1910\r\n* Feat:
        Data \"reset\" button by @tonyvince in https://github.com/maybe-finance/maybe/pull/1913\r\n*
        Fix: Make Tags selection scrollable by @tonyvince in https://github.com/maybe-finance/maybe/pull/1921\r\n*
        Fix value wrapping on account balance in sidebar by @zachgoll in https://github.com/maybe-finance/maybe/pull/1922\r\n*
        Fix import configuration form so number format is applied by @zachgoll in
        https://github.com/maybe-finance/maybe/pull/1923\r\n* Add transitions to buttons
        and other common design system elements by @zachgoll in https://github.com/maybe-finance/maybe/pull/1924\r\n*
        Allow offline trade tickers by @zachgoll in https://github.com/maybe-finance/maybe/pull/1925\r\n*
        fix: Don''t show Billings on settings navbar when self-hosted by @tonyvince
        in https://github.com/maybe-finance/maybe/pull/1912\r\n* Show UI warning to
        user when they need provider data but have not setup Synth yet by @zachgoll
        in https://github.com/maybe-finance/maybe/pull/1926\r\n* Invert liability
        graphs to have correct signage by @zachgoll in https://github.com/maybe-finance/maybe/pull/1928\r\n*
        Escape quotations in CSV imports properly by @zachgoll in https://github.com/maybe-finance/maybe/pull/1929\r\n\r\n##
        New Contributors\r\n* @syedbarimanjan made their first contribution in https://github.com/maybe-finance/maybe/pull/1857\r\n\r\n**Full
        Changelog**: https://github.com/maybe-finance/maybe/compare/v0.4.2...v0.4.3"}'
    headers:
      Accept:
      - application/vnd.github.raw
      User-Agent:
      - Octokit Ruby Gem 9.2.0
      Content-Type:
      - application/json
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Wed, 19 Mar 2025 12:40:58 GMT
      Content-Type:
      - text/html;charset=utf-8
      X-Commonmarker-Version:
      - 0.23.10
      Cache-Control:
      - public, max-age=60, s-maxage=60
      Vary:
      - Accept,Accept-Encoding, Accept, X-Requested-With
      Etag:
      - W/"bff98cc65001c41f8dd63749dc92891772179ad935cf7a314a5e9a289fd17557"
      X-Github-Media-Type:
      - github.v3; param=raw
      X-Github-Api-Version-Selected:
      - '2022-11-28'
      Access-Control-Expose-Headers:
      - ETag, Link, Location, Retry-After, X-GitHub-OTP, X-RateLimit-Limit, X-RateLimit-Remaining,
        X-RateLimit-Used, X-RateLimit-Resource, X-RateLimit-Reset, X-OAuth-Scopes,
        X-Accepted-OAuth-Scopes, X-Poll-Interval, X-GitHub-Media-Type, X-GitHub-SSO,
        X-GitHub-Request-Id, Deprecation, Sunset
      Access-Control-Allow-Origin:
      - "*"
      Strict-Transport-Security:
      - max-age=31536000; includeSubdomains; preload
      X-Frame-Options:
      - deny
      X-Content-Type-Options:
      - nosniff
      X-Xss-Protection:
      - '0'
      Referrer-Policy:
      - origin-when-cross-origin, strict-origin-when-cross-origin
      Content-Security-Policy:
      - default-src 'none'
      Server:
      - github.com
      X-Ratelimit-Limit:
      - '60'
      X-Ratelimit-Remaining:
      - '58'
      X-Ratelimit-Reset:
      - '1742391658'
      X-Ratelimit-Resource:
      - core
      X-Ratelimit-Used:
      - '2'
      Content-Length:
      - '11567'
      X-Github-Request-Id:
      - DDEE:10ABF0:184826:30A90D:67DABB5A
    body:
      encoding: ASCII-8BIT
      string: |-
        <h2 dir="auto">Data resets, offline investment trades, and miscellaneous stability improvements</h2>
        <p dir="auto">This release comes with a wide mix of stability improvements and quality of life updates; particularly for self hosted apps, which can now be "reset" in user settings.  If your data looks wrong or you want a "clean slate" to work from, we've added the ability for you to easily perform these resets without writing SQL or manually deleting records.</p>
        <p dir="auto">This release also comes with a much clearer UI surrounding the Synth data provider.  New self hosted users will now see a prominent warning message if they have missing data as a result of a misconfigured or absent data provider.</p>
        <h2 dir="auto">What's Changed</h2>
        <ul dir="auto">
        <li>Add new category flow by <a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/syedbarimanjan/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/syedbarimanjan">@syedbarimanjan</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2851271813" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1857" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1857/hovercard" href="https://github.com/maybe-finance/maybe/pull/1857">#1857</a></li>
        <li>Fix parent category sums in budget by <a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/zachgoll/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/zachgoll">@zachgoll</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2875715226" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1894" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1894/hovercard" href="https://github.com/maybe-finance/maybe/pull/1894">#1894</a></li>
        <li>Add breadcrumbs support across application by <a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/Shpigford/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/Shpigford">@Shpigford</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2876669162" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1897" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1897/hovercard" href="https://github.com/maybe-finance/maybe/pull/1897">#1897</a></li>
        <li>Dashboard design fixes by <a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/zachgoll/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/zachgoll">@zachgoll</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2878684037" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1898" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1898/hovercard" href="https://github.com/maybe-finance/maybe/pull/1898">#1898</a></li>
        <li>Allow account balance to dynamically use currency format on preference page by <a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/Harry-kp/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/Harry-kp">@Harry-kp</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2882416377" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1910" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1910/hovercard" href="https://github.com/maybe-finance/maybe/pull/1910">#1910</a></li>
        <li>Feat: Data "reset" button by <a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/tonyvince/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/tonyvince">@tonyvince</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2884371634" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1913" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1913/hovercard" href="https://github.com/maybe-finance/maybe/pull/1913">#1913</a></li>
        <li>Fix: Make Tags selection scrollable by <a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/tonyvince/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/tonyvince">@tonyvince</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2886838108" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1921" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1921/hovercard" href="https://github.com/maybe-finance/maybe/pull/1921">#1921</a></li>
        <li>Fix value wrapping on account balance in sidebar by <a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/zachgoll/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/zachgoll">@zachgoll</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2887107646" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1922" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1922/hovercard" href="https://github.com/maybe-finance/maybe/pull/1922">#1922</a></li>
        <li>Fix import configuration form so number format is applied by <a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/zachgoll/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/zachgoll">@zachgoll</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2887166618" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1923" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1923/hovercard" href="https://github.com/maybe-finance/maybe/pull/1923">#1923</a></li>
        <li>Add transitions to buttons and other common design system elements by <a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/zachgoll/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/zachgoll">@zachgoll</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2887226476" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1924" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1924/hovercard" href="https://github.com/maybe-finance/maybe/pull/1924">#1924</a></li>
        <li>Allow offline trade tickers by <a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/zachgoll/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/zachgoll">@zachgoll</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2887293141" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1925" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1925/hovercard" href="https://github.com/maybe-finance/maybe/pull/1925">#1925</a></li>
        <li>fix: Don't show Billings on settings navbar when self-hosted by <a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/tonyvince/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/tonyvince">@tonyvince</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2883665500" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1912" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1912/hovercard" href="https://github.com/maybe-finance/maybe/pull/1912">#1912</a></li>
        <li>Show UI warning to user when they need provider data but have not setup Synth yet by <a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/zachgoll/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/zachgoll">@zachgoll</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2887589859" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1926" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1926/hovercard" href="https://github.com/maybe-finance/maybe/pull/1926">#1926</a></li>
        <li>Invert liability graphs to have correct signage by <a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/zachgoll/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/zachgoll">@zachgoll</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2887629144" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1928" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1928/hovercard" href="https://github.com/maybe-finance/maybe/pull/1928">#1928</a></li>
        <li>Escape quotations in CSV imports properly by <a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/zachgoll/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/zachgoll">@zachgoll</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2887688665" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1929" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1929/hovercard" href="https://github.com/maybe-finance/maybe/pull/1929">#1929</a></li>
        </ul>
        <h2 dir="auto">New Contributors</h2>
        <ul dir="auto">
        <li><a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/syedbarimanjan/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/syedbarimanjan">@syedbarimanjan</a> made their first contribution in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2851271813" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1857" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1857/hovercard" href="https://github.com/maybe-finance/maybe/pull/1857">#1857</a></li>
        </ul>
        <p dir="auto"><strong>Full Changelog</strong>: <a class="commit-link" href="https://github.com/maybe-finance/maybe/compare/v0.4.2...v0.4.3"><tt>v0.4.2...v0.4.3</tt></a></p>
  recorded_at: Wed, 19 Mar 2025 12:40:58 GMT
recorded_with: VCR 6.3.1
